﻿using Syncfusion.Windows.Shared;
using Syncfusion.Windows.Tools.Controls;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WpfRibbon
{
   public class ViewModel
    {
        public ViewModel()
        {

            HideBackstage = new DelegateCommand<object>(ExecuteBackstage, CanExecuteHideBackstage);          
        }

        public DelegateCommand<object> HideBackstage { get; set; }
       
        public bool CanExecuteHideBackstage(object parameter)
        {
            return true;
        }

        public void ExecuteBackstage(object parameter)
        {
            Ribbon ribboninstance = parameter as Ribbon;
            if(ribboninstance != null)
            {
                ribboninstance.HideBackStage();
            }
        }
       
    }
}
